<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="description" content="Demo simple modal">
    <meta name="keywords" content="javascript 2015, EC 6, modules">
    <meta name="author" content="wowter from napnop.net">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title>Title</title>
    <script >
        if(typeof console == "undefined" ||  typeof console.log !== "function"){
            // prevent errors when console.log() does not exist.
            let console= {};
            console.log = function(){}
        }
    </script>

</head>

<body>
Simple modal demo, shown on page (re)load...
<div style="width:30em;height:500em;">
    hola
</div>

<script type="module">
    //ignored if browser does not understand 'type="module"'
    import { SimpleModal as modal }   from './assets/javascript/modules/src/simple-modal.js';
    // import { SimpleModal as modal }   from 'https://unpkg.com/@wowter/simple-modal@1.0.2/assets/javascript/modules/src/simple-modal.js';
    const modalInstance = new modal("nema_");

    modalInstance.showMessage(`This <b>modal</b> was earlier brought to you by<br /><b>napnop.net</b>`,"<br><u><b>",undefined,function(){alert("remooo")});
    modalInstance.showMessage(`This <b>modal</b> was last brought to you by<br /><b>napnop.net</b>`,"<br><u><b>","OK");

</script>

<!--see https://jakearchibald.com/2017/es-modules-in-browsers/-->
<!--browsers that understand type="module",  ignore script tags that have the nomodule attribute-->
<script nomodule>
    var messageToBadBrowserUsers = "Your browser does not support javascript initiated as \"type=module\".\n" +
        "Important functionality of this site is disabled for that reason.\n" +
        "Please contact your browser provider.";
    alert(messageToBadBrowserUsers);
    console.log(messageToBadBrowserUsers);
</script>
</body>
</html>